Subject: Re: bug#70914: 29.3; Crashes often on Windows

From: Simen Endsjø <[email-masked]>
Date: Wed, 15 May 2024 15:45:58 +0200

>> Nothing has stopped working per se, but I encounter encoding problems
>> which is probably why I added this in the first place.
>> I tested using `emacs -Q`, so the default settings.
>>
>> When running in a regular terminal , I get the output:
>>     ┌───────────────────────────────────────────────────────────┬───────────────────────────────┬─────────────────┬───────────┬─────────────────┬───────────┐
>>     │ Package                                                   │
>> Installed                     │ Released        │ Latest    │ Released
>>        │ Age (y)   │
>>
>> Tested with Git Bash, msys2, Powershell 5, Powershell 7 in Windows
>> Terminal, Powershell 7, Command Prompt.
>>
>> But in eshell, I get:
>>     ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÂÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÂÄÄÄÄÄÄÄÄÄÄÄÄÂÄÄÄÄÄÄÄÄÂÄÄÄÄÄÄÄÄÄÄÄÄÂÄÄÄÄÄÄÄÄÄ¿
>>     ³ Package        ³ Installed      ³ Released   ³ Latest ³ Released
>>   ³ Age (y) ³
>>
>> And in shell:
>>     +------------------------------------------------------------------------------+
>>       Package            Installed          Released   Latest
>> Released   Age (y)
>
> This is output from what command?

This was `dotnet-libyear`, but it probably happens with all commands
writing non-ascii.

On Wed, May 15, 2024 at 2:04 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Simen Endsjø <[email-masked]>
> > Date: Wed, 15 May 2024 12:25:42 +0200
> > Cc: [email-masked]
> >
> > Nothing has stopped working per se, but I encounter encoding problems
> > which is probably why I added this in the first place.
> > I tested using `emacs -Q`, so the default settings.
> >
> > When running in a regular terminal , I get the output:
> >     ┌───────────────────────────────────────────────────────────┬───────────────────────────────┬─────────────────┬───────────┬─────────────────┬───────────┐
> >     │ Package                                                   │
> > Installed                     │ Released        │ Latest    │ Released
> >        │ Age (y)   │
> >
> > Tested with Git Bash, msys2, Powershell 5, Powershell 7 in Windows
> > Terminal, Powershell 7, Command Prompt.
> >
> > But in eshell, I get:
> >     ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÂÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÂÄÄÄÄÄÄÄÄÄÄÄÄÂÄÄÄÄÄÄÄÄÂÄÄÄÄÄÄÄÄÄÄÄÄÂÄÄÄÄÄÄÄÄÄ¿
> >     ³ Package        ³ Installed      ³ Released   ³ Latest ³ Released
> >   ³ Age (y) ³
> >
> > And in shell:
> >     +------------------------------------------------------------------------------+
> >       Package            Installed          Released   Latest
> > Released   Age (y)
>
> This is output from what command?